﻿using MailKit;
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace FilterEditorDemo.Models
{
    public class Message
    {
        private UniqueId uniqueId;

        #region Object Model
        public string From { get; set; }
        public string To { get; set; }
        public string Subject { get; set; }
        public string Body { get; set; }
        public bool SendByMe { get; set; }
        public DateTime? Date { get; set; }
        #endregion
        public Message(UniqueId id)
        {
            this.uniqueId = id;
        }
        public UniqueId GetId()
        {
            return this.uniqueId;
        }
    }
}
